KDE 4.4 PyKDE API Reference

- KDE's Python API

# TileCreator Class Reference

`from PyKDE4.marble import *`

Inherits: QThread → QObject
Namespace: Marble.TileCreator

## Detailed Description

## Signals

| progress (int value)

## Methods

| __init__ (self, QString sourceDir, QString installMap, QString dem, QString targetDir=QString())
| cancelTileCreation (self)
| progress (self, int value)
| run (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | sourceDir,
|  | QString | installMap,
|  | QString | dem,
|  | QString | targetDir=QString()
| ) |  |  |

cancelTileCreation | ( |  | self ) |

progress | ( | self, |
|  | int | value
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("progress(int)"), target_slot)`

run | ( |  | self ) |